<?xml version='1.0' encoding='utf-8'?>
<plugin id="cordova-plugin-uhfr" version="0.0.2"
        xmlns:android="http://schemas.android.com/apk/res/android" xmlns="http://apache.org/cordova/ns/plugins/1.0">
    <name>Cordova UHFR Plugin</name>
    <js-module name="cordova-plugin-uhfr" src="www/cordova-plugin-uhfr.js">
        <clobbers target="cordova.plugin.uhfr"/>
    </js-module>
    <platform name="android">
        <config-file parent="/*" target="res/xml/config.xml">
            <feature name="UHFR">
                <param name="android-package" value="cordova.plugin.uhfr.UHFR"/>
            </feature>
        </config-file>

        <source-file src="src/android/cordova/plugin/uhfr/UHFR.java"
                     target-dir="cordova/plugin/uhfr"/>
        <source-file src="src/android/cordova/plugin/uhfr/Util.java"
                     target-dir="cordova/plugin/uhfr"/>

        <lib-file src="src/android/jxl.jar" />
        <lib-file src="src/android/ModuleAPI_J.jar" />
        <lib-file src="src/android/SerialPort.jar" />
        <lib-file src="src/android/uhfr_v1.9.jar" />

        <resource-file src="src/android/libs/armeabi/libdevapi.so"
                       target="jniLibs/armeabi/libdevapi.so"/>
        <resource-file src="src/android/libs/armeabi/libirdaSerialPort.so"
                       target="jniLibs/armeabi/libirdaSerialPort.so"/>
        <resource-file src="src/android/libs/armeabi/libModuleAPIJni.so"
                       target="jniLibs/armeabi/libModuleAPIJni.so"/>
        <resource-file src="src/android/libs/armeabi/libSerialPort.so"
                       target="jniLibs/armeabi/libSerialPort.so"/>
        <resource-file src="src/android/libs/armeabi-v7a/libdevapi.so"
                       target="jniLibs/armeabi-v7a/libdevapi.so"/>
        <resource-file src="src/android/libs/armeabi-v7a/libirdaSerialPort.so"
                       target="jniLibs/armeabi-v7a/libirdaSerialPort.so"/>
        <resource-file src="src/android/libs/armeabi-v7a/libModuleAPIJni.so"
                       target="jniLibs/armeabi-v7a/libModuleAPIJni.so"/>
        <resource-file src="src/android/libs/armeabi-v7a/libSerialPort.so"
                       target="jniLibs/armeabi-v7a/libSerialPort.so"/>
        <resource-file src="src/android/libs/arm64-v8a/libdevapi.so"
                       target="jniLibs/arm64-v8a/libdevapi.so"/>
        <resource-file src="src/android/libs/arm64-v8a/libirdaSerialPort.so"
                       target="jniLibs/arm64-v8a/libirdaSerialPort.so"/>
        <resource-file src="src/android/libs/arm64-v8a/libModuleAPIJni.so"
                       target="jniLibs/arm64-v8a/libModuleAPIJni.so"/>
        <resource-file src="src/android/libs/arm64-v8a/libSerialPort.so"
                       target="jniLibs/arm64-v8a/libSerialPort.so"/>
    </platform>
</plugin>
